# synfig::ColorPrep Class Reference

`#include <surface.h>`

List of all members.

## Public Member Functions

ColorAccumulator | cook (Color x) const
Color | uncook (ColorAccumulator x) const

## Member Function Documentation

ColorAccumulator synfig::ColorPrep::cook | ( | Color | x | ) | const`[inline]`

References synfig::Color::get_a(), synfig::Color::get_b(), synfig::Color::get_g(), synfig::Color::get_r(), synfig::Color::set_b(), synfig::Color::set_g(), and synfig::Color::set_r().

Color synfig::ColorPrep::uncook | ( | ColorAccumulator | x | ) | const`[inline]`

References synfig::Color::alpha(), f, synfig::Color::get_a(), synfig::Color::get_b(), synfig::Color::get_g(), synfig::Color::get_r(), synfig::Color::set_b(), synfig::Color::set_g(), and synfig::Color::set_r().

The documentation for this class was generated from the following file:

- surface.h